This work is a part of the Scilab Toolbox Hackathon organised by FOSSEE, IIT Bombay in June-July 2020. 
[Link](https://fossee.in/ https://scilab.in/)

#Name of the toolbox:
------------------------------------------------------------------------------------------------------------------------------------------------ 
**Point_Cloud_Toolbox**


#Purpose of the toolbox:
------------------------------------------------------------------------------------------------------------------------------------------------
Integration of functions of **Point Cloud Library** with **scilab**. Autonomous systems are being developed at a very
large scale nowadays. Companies are investing billions. Almost all of them process point clouds. Hence it is necessary 
for scilab to have tools which can be  used to process these point clouds.


#Target Operating System
------------------------------------------------------------------------------------------------------------------------------------------------
Linux Ubuntu:	**18.04**
Scilab Version: **6.0.2**


#Name of the external software/library that the toolbox interfaces to
------------------------------------------------------------------------------------------------------------------------------------------------
Point Cloud Library (pcl)



#Link to the source code of the chosen external software/library
------------------------------------------------------------------------------------------------------------------------------------------------
souce code: 	[Link](https://github.com/PointCloudLibrary/pcl)
Documentation:	[Link](https://pointclouds.org/documentation/)
website:	[Link](https://pointclouds.org/)

**NOTE: The above links are just for reference. There is no need to install PCL library.**
 

#Directory structure: 
------------------------------------------------------------------------------------------------------------------------------------------------

```
pointcloudtoolbox
 \
 |--etc
 |
 |--examples
 |
 |--help
 |
 |--jar
 |
 |--locales
 |
 |--macros
 |
 |--sample_files ->(sample input files used for functions in scilab help. Set the directory to this when using scilab help)
 |
 |--sci_gateway
 |             \
 |              |--cpp -> (contains gateway file)
 |             /
 |--thirdparty 
 |
 |--builder.sce ->(have to execute this for the first time from scilab console)
 |
 |--cleaner.sce 
 |
 |--DESCRIPTION
 |
 |--LICENSE
 |--loader.sce
 |
 |--README
 |
 |--run.sh
 |
 |--unloader.sce

```

#Steps for building and installing the toolbox:
------------------------------------------------------------------------------------------------------------------------------------------------
* Unzip the "pointcloudtoolbox0.1.0-src.zip" file. 

* There are 4 mandatory dependencies that should be installed

* The required dependencies can be installed by running the script file: run.sh

* After successful installation of dependencies open scilab and browse to the directory of pointcloudtoolbox.

* Execute the command: 

```
exec builder.sce
```
* Close scilab and zip the pointcloudtoolbox folder.

* Open Scilab go to the directory of zip file created in the previous step and execute the command: 

```
atomsInstall("pointcloudtoolbox.zip") 
```
* Restart sciab and toolbox will be successfully installed. 

**NOTE** 
*If permission denied error comes, execute*

```
chmod +x run.sh
``` 
execute run.sh again.

#THE SETUP IS COMPLETED AND NOW TOOLBOX CAN BE LAUNCHED FROM SCILAB.

* The toolbox is ready and functions can be executed now. Refer to __examples__ directory for detailed explanation regarding each function.    
  Refer to scilab help for examples for each function.

* Video link for demonstration of toolbox: [Link](https://youtu.be/rZXOhkE-vQE)
* Toolbox installtion drive link: [Link](https://drive.google.com/drive/folders/1dJohZKJQRKtFvBsUBo5eZQvOj2OMtYJi?usp=sharing)


